elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: Los 10 CVE más críticos (peligrosos) de 2020


+  Foro de elhacker.net
|-+  Seguridad Informática
| |-+  Hacking Ético
| | |-+  Bugs y Exploits
| | | |-+  Nivel Web (Moderadores: sirdarckcat, WHK)
| | | | |-+  vulnerabilidad smf 1.1.11
0 Usuarios y 1 Visitante están viendo este tema.
Páginas: 1 [2] Ir Abajo Respuesta Imprimir
Autor Tema: vulnerabilidad smf 1.1.11  (Leído 7,287 veces)
alxx

Desconectado Desconectado

Mensajes: 6



Ver Perfil
Re: vulneviridad smf 1.1.11
« Respuesta #10 en: 3 Febrero 2010, 20:35 pm »

no hay csrf porque lleva el token de sesión que es un valor al azar cada ves que logueas y el xss está en el censurador de palabras que solo el administrador tiene acceso.

De todas formas ya habia sido reportado por sdc en simpleaudit hace tiempo. Muchas de las fallas de simpleaudit siguen funcionando como el robo de token:
http://foro.elhacker.net/nivel_web/auditoria_de_seguridad_hacia_simple_machines_forum_20-t271199.0.html;msg1357992#msg1357992
Detalles
Descripción:XSS en el censurador de palabras
Descubierto por:sirdarckcat@elhacker.net
Código vulnerable:N/A
URL Vulnerable:index.php?action=admin;area=postsettings;sa=censor
PoC:[ testing-xss-sdc-1 ] => [ <script>alert(/lolazo/)</script> ]
[ testing-xss-sdc-2 ] => [ " onerror="alert(1) ]
Afecta a:‭‬SMF 1.1.10 y 2.0 RC2


Descripción

Todos los que tengan acceso al area del censurador:
index.php?action=admin;area=postsettings;sa=censor

Pueden hacer XSS en cualquier parte del foro...
PoC:

Ponga la palabra a ser censurada a la izquierda, y el reemplazo a la derecha.

[ testing-xss-sdc-1 ] => [ <script>alert(/lolazo/)</script> ]
[ testing-xss-sdc-2 ] => [ " onerror="alert(1) ]


claro pero aca volvemos a mi cuestion es que la mayoria de las vulneviridades nesecitan acesso al panel de adminstracion ...

En línea

fede_cp


Desconectado Desconectado

Mensajes: 527


"porque pensar nunca fue entender"


Ver Perfil WWW
Re: vulnerabilidad smf 1.1.11
« Respuesta #11 en: 3 Febrero 2010, 20:44 pm »

aaaaaaaaa, pense que vos decias de una vulnerabilidad en el panel de administracion!!!.

no yo no creo que sigan habiendo bugs en la nueva version sino ya daria que hablar!.


saludos
En línea

somos lo que hacemos para cambiar lo que somos

http://elhackerblog.blogspot.com el blog de elhacker.net!!
RAID-MAM

Desconectado Desconectado

Mensajes: 58


Ver Perfil
Re: vulnerabilidad smf 1.1.11
« Respuesta #12 en: 3 Febrero 2010, 20:57 pm »

aaaaaaaaa, pense que vos decias de una vulnerabilidad en el panel de administracion!!!.

no yo no creo que sigan habiendo bugs en la nueva version sino ya daria que hablar!.


saludos


Muchos de los bugs no fueron conrregidos :P
En línea

alxx

Desconectado Desconectado

Mensajes: 6



Ver Perfil
Re: vulnerabilidad smf 1.1.11
« Respuesta #13 en: 3 Febrero 2010, 21:08 pm »

aaaaaaaaa, pense que vos decias de una vulnerabilidad en el panel de administracion!!!.

no yo no creo que sigan habiendo bugs en la nueva version sino ya daria que hablar!.


saludos


claro, yo digo

una Vulnerabilidad sin tener acceso al panel de adminstración

En línea

Páginas: 1 [2] Ir Arriba Respuesta Imprimir 

Ir a:  

Mensajes similares
Asunto Iniciado por Respuestas Vistas Último mensaje
Vulnerabilidad WEB
Bugs y Exploits
WiseHidden 8 6,407 Último mensaje 13 Junio 2011, 21:27 pm
por WiseHidden
Vulnerabilidad XSS
Nivel Web
iiitttaaa 4 3,418 Último mensaje 24 Junio 2011, 16:07 pm
por iiitttaaa
Vulnerabilidad en R4ckSp4c3
Bugs y Exploits
Bud4 0 1,350 Último mensaje 23 Febrero 2012, 20:39 pm
por Bud4
Vulnerabilidad?
Seguridad
Speedhack 3 1,445 Último mensaje 5 Octubre 2012, 23:11 pm
por RevangelyonX
Vulnerabilidad en cafeteras Keurig 2.0
Noticias
wolfbcn 0 915 Último mensaje 28 Diciembre 2014, 14:15 pm
por wolfbcn
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines